curl --request GET \
--url https://api.eu.bronto.io/metrics/{metric_id} \
--header 'X-BRONTO-API-KEY: <api-key>'import requests
url = "https://api.eu.bronto.io/metrics/{metric_id}"
headers = {"X-BRONTO-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BRONTO-API-KEY': '<api-key>'}};
fetch('https://api.eu.bronto.io/metrics/{metric_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.bronto.io/metrics/{metric_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-BRONTO-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eu.bronto.io/metrics/{metric_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-BRONTO-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eu.bronto.io/metrics/{metric_id}")
.header("X-BRONTO-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.bronto.io/metrics/{metric_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-BRONTO-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"metric_id": "b013a07d-aa13-47c1-9c74-635e42b22cbb",
"metric_name": "system.cpu.utilization",
"type": "GAUGE",
"description": "Difference in system.cpu.time since the last measurement per logical CPU, divided by the elapsed time (value in interval [0,1]).",
"unit": "s",
"aggregation_temporality": "DELTA",
"default_aggregation": "sum",
"default_query": {
"aggregation": "avg",
"filter": "service.name = 'checkout'",
"group_by_keys": [
"Resource:host.name"
],
"chart_type": "line"
},
"metadata": {
"last_heartbeat_at": 1791331200000
}
}{
"code": 404,
"type": "Not Found",
"correlation_id": "605f832bcfe44a1081441691c8d42253",
"details": "Resource not found."
}{
"code": 500,
"type": "Internal Server Error",
"correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
"details": "Internal Server Error"
}Retrieve the metadata of an ingested metric
curl --request GET \
--url https://api.eu.bronto.io/metrics/{metric_id} \
--header 'X-BRONTO-API-KEY: <api-key>'import requests
url = "https://api.eu.bronto.io/metrics/{metric_id}"
headers = {"X-BRONTO-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BRONTO-API-KEY': '<api-key>'}};
fetch('https://api.eu.bronto.io/metrics/{metric_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.bronto.io/metrics/{metric_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-BRONTO-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eu.bronto.io/metrics/{metric_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-BRONTO-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eu.bronto.io/metrics/{metric_id}")
.header("X-BRONTO-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.bronto.io/metrics/{metric_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-BRONTO-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"metric_id": "b013a07d-aa13-47c1-9c74-635e42b22cbb",
"metric_name": "system.cpu.utilization",
"type": "GAUGE",
"description": "Difference in system.cpu.time since the last measurement per logical CPU, divided by the elapsed time (value in interval [0,1]).",
"unit": "s",
"aggregation_temporality": "DELTA",
"default_aggregation": "sum",
"default_query": {
"aggregation": "avg",
"filter": "service.name = 'checkout'",
"group_by_keys": [
"Resource:host.name"
],
"chart_type": "line"
},
"metadata": {
"last_heartbeat_at": 1791331200000
}
}{
"code": 404,
"type": "Not Found",
"correlation_id": "605f832bcfe44a1081441691c8d42253",
"details": "Resource not found."
}{
"code": 500,
"type": "Internal Server Error",
"correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
"details": "Internal Server Error"
}Authorizations
Path Parameters
The ID of the metric to retrieve
Response
Metric definition retrieved successfully
Metadata for a metric sent to Bronto
unique identifier of the metric
36"b013a07d-aa13-47c1-9c74-635e42b22cbb"
the name of the metric as ingested
1 - 255"system.cpu.utilization"
the type of the metric
GAUGE, SUM, SUMMARY, HISTOGRAM "GAUGE"
the description of the metric if provided
255"Difference in system.cpu.time since the last measurement per logical CPU, divided by the elapsed time (value in interval [0,1])."
the unit of the metric, if available
1 - 20"s"
the type of aggregation of the metric as ingested. Applies only to SUM and HISTOGRAM metrics
DELTA, CUMULATIVE "DELTA"
Suggested aggregation for the metric. Deprecated, use default_query.aggregation instead
sum, avg, min, max, count Suggested query to use when charting the metric, if available
Show child attributes
Show child attributes
metadata of the object
Show child attributes
Show child attributes
